; Square root using Newton's method.
; Removed xc, since it is just referring
; to the globally available x in every
; case.

(define (sqrtd1 x)
  
  (define (good-enough? ga xa)
    (< (abs (- (* ga ga) xa)) 0.001))
  
  (define (improve gb xb)
    (/ (+ gb (/ xb gb)) 2.0))
  
  (define (iter gc)
    (if (good-enough? gc x)
        gc
        (iter (improve gc x))))
  
  (iter 1.0))
